Name:           python-moddb
Version:        0.12.0
Release:        %mkrel 1
Summary:        A Python scraper/parser for ModDB
License:        MIT
Group:          Development/Python
URL:            https://github.com/ClementJ18/moddb
Source0:        %{url}/archive/v%{version}/moddb-%{version}.tar.gz

# This is needed as there are for some reason specific versions in
# setup.py. Submitted as a PR to upstream here:
# https://github.com/ClementJ18/moddb/pull/29
Patch1:         nonstrict-versioning.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The goal of the library is to be able to navigate ModDB purely
programmatically through scraping and parsing of the various models
present on the website. This is based off a command of a bot which
can parse either a game or a mod, this command gave birth to the
original library which was extremely limited in its abilities and
only able to parse a few pages with inconsistencies. This library
is a much more mature and professional attempt at the whole idea,
adding on a much deeper understanding of OOP.


%package -n python3-moddb
Summary:        A Python3 scraper/parser for ModDB
Group:          Development/Python

%description -n python3-moddb
The goal of the library is to be able to navigate ModDB purely
programmatically through scraping and parsing of the various models
present on the website. This is based off a command of a bot which
can parse either a game or a mod, this command gave birth to the
original library which was extremely limited in its abilities and
only able to parse a few pages with inconsistencies. This library
is a much more mature and professional attempt at the whole idea,
adding on a much deeper understanding of OOP.

%prep
%autosetup -p1 -n moddb-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files moddb


%check
# Upstream tests generally require network access and authentication
#pyproject_check_import

%files -n python3-moddb -f %{pyproject_files}
%doc README.md


%changelog
* Tue Nov 26 2024 daviddavid <daviddavid> 0.12.0-1.mga10
+ Revision: 2119003
- new version: 0.12.0

* Sat Apr 20 2024 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2060119
- new version: 0.11.0
- remove merged upstream patch

* Sun Feb 18 2024 daviddavid <daviddavid> 0.10.0-1.mga10
+ Revision: 2042351
- new version: 0.10.0

* Sun Feb 04 2024 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2037044
- initial package python-moddb

